<?php
$this->breadcrumbs = array(
    'Pošta' => array('/posta/prijate'),
    'Přijaté zprávy',
);
$pocet = Zprava::model()->findAllByAttributes(array('Id_prijemce' => Yii::app()->user->id, 'Smaz_prij' => 0, 'Precteno' => '0'));
require_once(Yii::app()->basePath . '/extensions/fancybox/fancybox.php');
?>
<script type='text/javascript'>
    $(document).ready(function(){$(".fancybox").fancybox({width:600,afterClose:function(){parent.location.reload(true);}});});
</script>

<article>
    <div class="heading">
        <h2>Zprávy</h2>
        <div class="info">
            <ul><li><span>Počet nepřečtených zpráv: </span></li><?php echo count($pocet); ?></ul>
        </div>
    </div>
    <div class="content">
        <form action="<?php echo Yii::app()->request->url; ?>" method="POST">
            <label for="prezdivka">Zobrazit zprávy od uživatele:</label>
            <select name="prezdivka" size="1" onchange="this.form.submit()" >
                <option value="">-->Vše<--</option>                   
                <?php
                $zpravy = Zprava::model()->with('odesilatel')->findAllByAttributes(
                        array('Id_prijemce' => Yii::app()->user->id, 'Smaz_prij' => 0), array('group' => 'Id_odesilatele', 'order' => 'Prezdivka'));
                foreach ($zpravy as $zprava):
                    ?>
                    <option value="<?php echo $zprava['Id_odesilatele']; ?>" 
                    <?php
                    if (Yii::app()->session['id_user_posta'] == $zprava['Id_odesilatele']) {
                        echo 'selected';
                    }
                    ?>>
    <?php echo $zprava['odesilatel']['Prezdivka'] ?></option>
<?php endforeach; ?>

            </select>
        </form>
        <form action="<?php echo Yii::app()->request->url; ?>" method="POST">
            <label for="strankovani">Počet zpráv na stránce:</label>
            <select name="strankovani" size="1" onchange="this.form.submit()" >
                <option value="10" <?php
                if (Yii::app()->session['strankovani'] == 10) {
                    echo 'selected';
                }
                ?>>10</option>                   
                <option value="20" <?php
                if (Yii::app()->session['strankovani'] == 20) {
                    echo 'selected';
                }
                ?>>20</option>  
                <option value="50" <?php
                if (Yii::app()->session['strankovani'] == 50) {
                    echo 'selected';
                }
                ?>>50</option>  
                <option value=""   <?php
            if (Yii::app()->session['strankovani'] == "") {
                echo 'selected';
            }
            ?>>Vše</option>  
            </select>
        </form>
        <table border="1" style="width: 616px;">
            <thead>
            <th>Odesílatel</th>
            <th>Předmět</th>
            <th>Typ</th>
            <th>Odpověď</th>
            <th>Smazat?</th>
            </thead>
                    <?php
                    foreach ($textZpravy as $radek):
                        ?>
                <tr style="background-color: <?php
                        if ($radek['Precteno']) {
                            echo 'white';
                        } else {
                            echo 'lightgray';
                        }
                        ?>">
                    <td><?php echo $radek['odesilatel']['Prezdivka']; ?></td>
                    <td><a class="fancybox fancybox.iframe" href="./zobraz/<?php echo $radek['Id_zprava']; ?>"><?php echo str_replace('_', ' ', $radek['Predmet']) ?></a></td>
                    <td><?php
                if ($radek['Typ_posty'] == 0) {
                    echo 'Systémová zpráva';
                } elseif ($radek['Typ_posty'] == 1) {
                    echo 'Normální zpráva';
                } elseif ($radek['Typ_posty'] == 2) {
                    echo 'Informační zpráva';
                }
                ?></td>
                <?php
                if ($radek['Typ_posty'] == 1) {
                    echo' <td><a class="fancybox fancybox.iframe" href="./odpoved/' . $radek['Id_zprava'] . '">Odpovědět</a></td>';
                } else {
                    echo '<td></td>';
                }
                ?>

                    <td><a class="fancybox fancybox.iframe" href="./smazat/<?php echo $radek['Id_zprava']; ?>">Smazat</a></td>
                </tr>

<?php endforeach; ?>
        </table>
        <div>
            <br />
<?php
$this->widget('CLinkPager', array(
    'currentPage' => $pages->getCurrentPage(),
    'itemCount' => $count,
    'pageSize' => $pageSize,
));
?>
        </div>
    </div>
</article>
