<?php
/* * *
 * Zajišťuje přepínání mezi vlastněnými městy
 */
if (isset($_REQUEST['mesto'])) {
    Yii::app()->session['ID_Mesta'] = $_POST['mesto'];
    $m = mestoInfo(Yii::app()->session['ID_Mesta']);
    Yii::app()->session['max_lidi'] = $m['Max_lidi'];
    Yii::app()->session['max_vojska'] = $m['Max_vojska'];
    Yii::app()->session['max_prostoru'] = $m['doba']['Max_misto'];
    Yii::app()->session['zabrany_prostor'] = $m['Misto'];
    Yii::app()->session['zabrany_prostor_kasarny'] = $m['Misto_kasarny'];
    Yii::app()->session['max_surovin'] = $m['Max_surovin'];
    Yii::app()->session['doba'] = $m['Doba'];
    header("Location:" . Yii::app()->request->url);
}

function mestoInfo($id) {
    /*     * *
     * Zjišťuje informace o:
     *  - Době v jaké se nachází město
     *  - Volném a maximálním prostoru pro stavění budov
     *  - Volném a maximálním prostotu v kasárnách
     */
    $m = Mesto::model()->with('doba')->findByAttributes(array('Id_mesto' => $id));
    return $m;
}

$mestoQ = mestoInfo(Yii::app()->session['ID_Mesta']);

/* * *
 * Vrací všechny suroviny ze skladu aktuálně vybraného města
 */

function Suroviny() {
    $suroviny = Sklad::model()->with('suroviny')->findAllByAttributes(array('Id_mesto' => Yii::app()->session['ID_Mesta']));
    return $suroviny;
}

/* * *
 * Vrací všechna města vlastněná uživatelem
 */
$vysledek = Mesto::model()->findAllByAttributes(array('Id_uzivatel' => Yii::app()->user->id));

/* * *********************************** */
?>
<table border="0" class="bar_up" style="width: 517px;">
    <tr>
        <td style="width: 31%">
            <form action="<?php echo Yii::app()->request->url; ?>" method="post">
                <select name="mesto" onchange="this.form.submit();">
                    <?php
                    foreach ($vysledek as $radek):
                        ?>
                        <option value="<?php echo $radek['Id_mesto']; ?>" 
                                <?php if (Yii::app()->session['ID_Mesta'] == $radek['Id_mesto']) echo "selected='true'"; ?>>
                                    <?php
                                    echo "(" . $radek['X_souradnice'] . "," . $radek['Y_souradnice'] . ") "
                                    . $radek['Nazev'] . "</option>";
                                endforeach;
                                ?>
                </select>
            </form>
        </td>
        <td style="width: 12%">Doba: <?php echo"\n" . $mestoQ['doba']['Nazev_doba'] ?></td>
        <td style="width: 19%">Prostor: <?php echo "\n" . $mestoQ['Misto'] . "/" . $mestoQ['doba']['Max_misto'] ?></td>
        <td style="width: 19%">Kasárna:<?php echo "\n" . $mestoQ['Misto_kasarny'] . "/" . Yii::app()->session['max_vojska'] ?></td>

        <?php
        foreach (Suroviny() as $sklad) {
            if ($sklad['Id_suroviny'] == 5) {
                echo '<td style="width: 19%">';
                echo $sklad['suroviny']['Nazev_suroviny'] . ":\n" . $sklad['Pocet'] . "/" . Yii::app()->session['max_lidi'];
                echo '</td>';
            }
        }
        ?>      
    </tr>
</table>
<table border="0" class="bar_res" style="width: 517px;">
    <tr>
        <?php
        $counter = 0;
        foreach (Suroviny() as $sklad):
            if ($sklad['Id_suroviny'] == 1) {
                $counter+=$sklad['Pocet'];
                //dřevo
                echo '<td title="Dřevo" class="s-1" style="padding-left:30px;">';
                //echo "<img width='20' height='30'  alt='Dřevo' src='" . Yii::app()->request->baseUrl . "/css/images/1.png' />";
                echo $sklad['Pocet'];
                echo '</td>';
            }
            if ($sklad['Id_suroviny'] == 2) {
                echo '<td title="Kámen" class="s-2" style="padding-left:30px;">';
                $counter+=$sklad['Pocet'];
                //kamen
                //echo "<img width='20' height='30' title='Kámen' alt='Kámen' src='" . Yii::app()->request->baseUrl . "/css/images/2.png' /> ";
                echo $sklad['Pocet'];
                echo '</td >';
            }
            if ($sklad['Id_suroviny'] == 3) {
                echo '<td title="Železo" class="s-3" style="padding-left:30px;">';
                $counter+=$sklad['Pocet'];
                //železo
                //echo "<img width='20'  height='30' title='Železo' alt='Železo' src='" . Yii::app()->request->baseUrl . "/css/images/3.png'/> ";
                echo $sklad['Pocet'];
                echo '</td>';
            }
            if ($sklad['Id_suroviny'] == 4) {
                echo '<td title="Zlato" class="s-4" style="padding-left:30px;">';
                $counter+=$sklad['Pocet'];
                //zlato
                //echo "<img  width='20' title='Zlato' alt='Zlato' src='" . Yii::app()->request->baseUrl . "/css/images/4.png'/>";
                echo '' . $sklad['Pocet'];
                echo '</td>';
            }
        endforeach;
        ?>
        <td rowspan="2" style="width: 19%">
            Sklad: <br/><?php echo "\n" . $counter . ' / ' . Yii::app()->session['max_surovin']; ?>
        </td>
    </tr>
    <tr></tr>
</table>
