<?php
/* @var $this JednotkaController */
/* @var $model Jednotka */
/* @var $form CActiveForm */
$this->breadcrumbs=array(
	'Útoky'=>array('index'),
	'Volba jednotek',
);
require(Yii::app()->basePath . '/extensions/yr.no/forecast.php');
?>
<script type='text/javascript'>
    function maximum(e, t) {
        {
            var n = document.getElementById(e).textContent;
            document.getElementById(t).value = n
        }
    }
</script>
<?php if ($mestoOb) { ?>
    <article>
        <div class="heading">
            <h2>Útok</h2>
            <div class="info">
                <ul><li><h3>Vyberte jednotky, se kterými budete útočit.</h3></li></ul>
            </div>
        </div>
        <div class="content">
            <br />
            Útočíte na město:
    <?php
    echo $mestoOb['Nazev'];
} else {
    ?>
            <article>
                <div class="heading">
                    <h2>Příběhový úkol</h2>
                    <div class="info">
                        <ul><li><h3><?php echo $quest['Nazev']; ?></h3></li></ul>
                    </div>
                </div>
                <div class="content">
                    <br />
                    <?php echo $quest['Text']; ?>
                    <p>
                        Odměna:
                        <?php
                        $odmena = unserialize($quest['Odmena']);
                        foreach ($odmena as $sur => $pocet) {
                            echo " <img width='20' height='30' src='" . Yii::app()->request->baseUrl . "/css/images/" . $sur . ".png' />: " . $pocet . " ";
                        }
                        ?>
                    </p>
                <?php } ?>
                <form name="form-utok" id="form-utok" action="<?php echo Yii::app()->createUrl('utok/boj'); ?>" method="POST">
                    <br/>
                    <h3>Volba jednotek:</h3>
                    <p>Pamatujte, že vzhledem k aktuálnímu počasí je morálka vojska <strong><?php echo $ucinnost; ?></strong>%.</p>
                    <table border="1" style="width: 616px;">
                        <thead>
                        <th>Název</th>
                        <th>Útok</th>
                        <th>Počet</th>
                        <th>Poslat</th>
                        </thead>
                        <?php foreach ($jednotky as $jednotka): ?>
                            <tr>
                                <td><?php echo $jednotka['jednotka']['Nazev']; ?></td>
                                <td><?php echo $jednotka['jednotka']['Sila']; ?></td>
                                <td id="p_<?php echo $jednotka['Typ_jednotky']; ?>"><?php echo $jednotka['Pocet_jednotek']; ?></td>
                                <td style="width: 42%"><input type="text" id="j_<?php echo $jednotka['Typ_jednotky']; ?>" name="j_<?php echo $jednotka['Typ_jednotky']; ?>" value=""/>
                                    <input type="button" onclick="maximum('p_<?php echo $jednotka['Typ_jednotky']; ?>', 'j_<?php echo $jednotka['Typ_jednotky']; ?>');" value="Všechny">
                                </td>
                            </tr>
                        <?php endforeach; ?>
                    </table>
                    <br />
                    <center><input type="submit" value="Zaútočit" /></center>
                </form>
            </div>
        </article>