﻿<?php
/* @var $this UzivatelController */
/* @var $model Uzivatel */
/* @var $form CActiveForm */
require_once(Yii::app()->basePath . '/extensions/fancybox/fancybox.php');
?>
<script type='text/javascript'>
    $(document).ready(function () {
        $(".fancybox").fancybox({width: 600, afterClose: function () {
                parent.location.reload(true);
            }});
    });
</script>

<div class="form">

    <?php
    $form = $this->beginWidget('CActiveForm', array(
        'id' => 'uzivatel-form',
            //'enableAjaxValidation'=>true,
    ));
    ?>

    <?php echo $form->errorSummary($model); ?>

    <div class="row">
        <?php echo $form->labelEx($model, 'Prezdivka'); ?>
        <?php echo ': ' . $model->Prezdivka; ?>
    </div>
    <div class="row">
        <?php echo $form->labelEx($model, 'Email'); ?>
        <?php echo ': ' . $model->Email; ?>
    </div>

    <div class="row">
        <?php
        echo 'Oprávnění: ' . $model['prava']['Popis'];
        if (Yii::app()->session['PRAVA']['EditPrava'] == '1') {
            echo' (<a class="fancybox fancybox.iframe" href="' . Yii::app()->request->baseUrl . '/prava/zobraz/' . $model->Id_uzivatel . '">Upravit</a>)';
        }
        ?>
    </div>

    <div class="row">
        <?php
        if ($model->Id_prava != '1') {
            if ($model->Id_uzivatel != Yii::app()->user->id) {
                if ($model->aktivni) {
                    $t1 = "Neaktivní";
                    $t2 = "Zablokovat";
                } else {
                    $t1 = "Aktivní";
                    $t2 = "Odblokovat";
                }
                echo 'Dočasné zablokování uživatele: ' . $t1;
                if (Yii::app()->session['PRAVA']['Banovani_Uziv'] == '1') {
                    echo' (<a href="' . Yii::app()->request->baseUrl . '/uzivatel/ban/' . $model->Id_uzivatel . '">' . $t2 . '</a>)';
                }
            }
        }
        ?>
    </div>

    <div class="row">
        <?php echo $form->labelEx($model, 'Jmeno'); ?>
        <?php echo ': ' . $form->textField($model, 'Jmeno', array('size' => 50, 'maxlength' => 50)); ?>
        <?php echo $form->error($model, 'Jmeno'); ?>
    </div>

    <div class="row">
        <?php echo $form->labelEx($model, 'Prijmeni'); ?>
        <?php echo ': ' . $form->textField($model, 'Prijmeni', array('size' => 50, 'maxlength' => 50)); ?>
        <?php echo $form->error($model, 'Prijmeni'); ?>
    </div>

    <div class="row">
        <?php echo $form->labelEx($model, 'Popis'); ?>
        <?php echo ': ' . $form->textArea($model, 'Popis', array('rows' => 6, 'cols' => 50)); ?>
        <?php echo $form->error($model, 'Popis'); ?>
    </div>
    <hr />
    <div class="row">
        <?php echo $form->labelEx($model, 'Heslo'); ?>
        <?php echo ': ' . $form->passwordField($model, 'Heslo', array('size' => 60, 'maxlength' => 60)); ?>
        <?php echo $form->error($model, 'Heslo'); ?>
    </div>
    <?php
    if (!$model->isNewRecord) {
        echo '<div class="row">';
        echo $form->labelEx($model, 'password_st');
        echo ': ' . $form->passwordField($model, 'password_st', array('size' => 60, 'maxlength' => 60));
        echo $form->error($model, 'password_st');
        echo '</div>';
    }
    ?>
    <div class="row buttons">
        <?php echo CHtml::submitButton($model->isNewRecord ? 'Vytvořit' : 'Uložit'); ?>
    </div>

    <?php $this->endWidget(); ?>

</div><!-- form -->