-- phpMyAdmin SQL Dump
-- version 4.3.9
-- http://www.phpmyadmin.net
--
-- Počítač: sql.endora.cz:3312
-- Vytvořeno: Úte 28. dub 2015, 22:48
-- Verze serveru: 5.5.38-35.2-log
-- Verze PHP: 5.4.40

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Databáze: `testfr`
--

-- --------------------------------------------------------

--
-- Struktura tabulky `budova`
--

CREATE TABLE IF NOT EXISTS `budova` (
  `Id_budova` int(11) NOT NULL,
  `Id_mesto` int(11) NOT NULL,
  `Typ_budovy` int(11) NOT NULL,
  `Pocet_budov` int(11) DEFAULT NULL
) ENGINE=MyISAM AUTO_INCREMENT=82 DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

--
-- Vypisuji data pro tabulku `budova`
--

INSERT INTO `budova` (`Id_budova`, `Id_mesto`, `Typ_budovy`, `Pocet_budov`) VALUES
(41, 12, 2, 20),
(42, 12, 1, 22),
(43, 12, 3, 0),
(46, 12, 4, 34),
(47, 12, 5, 146),
(50, 12, 6, 15),
(76, 35, 1, 1),
(77, 35, 2, 1),
(78, 35, 3, 1),
(79, 35, 4, 1),
(80, 35, 5, 1),
(81, 35, 6, 1);

-- --------------------------------------------------------

--
-- Struktura tabulky `cena_budov`
--

CREATE TABLE IF NOT EXISTS `cena_budov` (
  `id` int(11) NOT NULL,
  `Id_typ_budovy` int(11) NOT NULL,
  `Id_suroviny` int(11) NOT NULL,
  `Pocet` int(11) DEFAULT NULL
) ENGINE=MyISAM AUTO_INCREMENT=42 DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

--
-- Vypisuji data pro tabulku `cena_budov`
--

INSERT INTO `cena_budov` (`id`, `Id_typ_budovy`, `Id_suroviny`, `Pocet`) VALUES
(4, 2, 4, 400),
(5, 2, 5, 2),
(6, 3, 1, 400),
(7, 3, 4, 500),
(8, 3, 5, 10),
(27, 1, 1, 100),
(28, 1, 4, 100),
(29, 4, 1, 150),
(30, 4, 2, 150),
(31, 4, 3, 60),
(32, 4, 4, 200),
(33, 4, 5, 30),
(34, 5, 1, 150),
(35, 5, 2, 100),
(36, 5, 4, 100),
(37, 5, 5, 30),
(38, 6, 1, 30),
(39, 6, 2, 50),
(40, 6, 4, 50),
(41, 6, 5, 10);

-- --------------------------------------------------------

--
-- Struktura tabulky `cena_jednotek`
--

CREATE TABLE IF NOT EXISTS `cena_jednotek` (
  `id` int(11) NOT NULL,
  `Id_typ_jednotky` int(11) NOT NULL,
  `Id_suroviny` int(11) NOT NULL,
  `Pocet` int(11) DEFAULT NULL
) ENGINE=MyISAM AUTO_INCREMENT=33 DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

--
-- Vypisuji data pro tabulku `cena_jednotek`
--

INSERT INTO `cena_jednotek` (`id`, `Id_typ_jednotky`, `Id_suroviny`, `Pocet`) VALUES
(1, 1, 4, 200),
(2, 1, 5, 1),
(3, 2, 1, 10),
(4, 2, 3, 1),
(5, 2, 4, 50),
(6, 2, 5, 1),
(7, 3, 3, 20),
(8, 3, 4, 300),
(9, 3, 5, 1),
(10, 4, 1, 40),
(11, 4, 3, 50),
(12, 4, 4, 400),
(13, 4, 5, 10),
(14, 5, 3, 60),
(15, 5, 4, 1000),
(16, 5, 5, 1);

-- --------------------------------------------------------

--
-- Struktura tabulky `doba`
--

CREATE TABLE IF NOT EXISTS `doba` (
  `Id_doba` int(11) NOT NULL,
  `Nazev_doba` varchar(50) COLLATE utf8_czech_ci NOT NULL,
  `Max_misto` int(11) DEFAULT NULL,
  `Popis` text COLLATE utf8_czech_ci
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

--
-- Vypisuji data pro tabulku `doba`
--

INSERT INTO `doba` (`Id_doba`, `Nazev_doba`, `Max_misto`, `Popis`) VALUES
(1, 'Pravěk', 8000, 'Popis doby...');

-- --------------------------------------------------------

--
-- Struktura tabulky `hotove_q`
--

CREATE TABLE IF NOT EXISTS `hotove_q` (
  `Id` int(11) NOT NULL,
  `Id_mesto` int(11) NOT NULL,
  `Id_q` int(11) NOT NULL,
  `Datum` datetime NOT NULL
) ENGINE=MyISAM AUTO_INCREMENT=4 DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

--
-- Vypisuji data pro tabulku `hotove_q`
--

INSERT INTO `hotove_q` (`Id`, `Id_mesto`, `Id_q`, `Datum`) VALUES
(3, 12, 3, '2015-03-29 00:18:34');

-- --------------------------------------------------------

--
-- Struktura tabulky `jednotka`
--

CREATE TABLE IF NOT EXISTS `jednotka` (
  `Id_Jednotka` int(11) NOT NULL,
  `Id_mesto` int(11) NOT NULL,
  `Typ_jednotky` int(11) NOT NULL,
  `Pocet_jednotek` int(11) DEFAULT NULL
) ENGINE=MyISAM AUTO_INCREMENT=36 DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

--
-- Vypisuji data pro tabulku `jednotka`
--

INSERT INTO `jednotka` (`Id_Jednotka`, `Id_mesto`, `Typ_jednotky`, `Pocet_jednotek`) VALUES
(6, 12, 1, 0),
(7, 12, 2, 0),
(8, 12, 3, 0),
(9, 12, 4, 0),
(10, 12, 5, 38),
(31, 35, 1, 0),
(32, 35, 2, 0),
(33, 35, 3, 0),
(34, 35, 4, 0),
(35, 35, 5, 0);

-- --------------------------------------------------------

--
-- Struktura tabulky `logprepoctu`
--

CREATE TABLE IF NOT EXISTS `logprepoctu` (
  `Id` int(11) NOT NULL,
  `Datum` datetime NOT NULL,
  `Cas_behu` double NOT NULL,
  `Pocet_uzivatelu` int(11) NOT NULL,
  `Pocet_Mest` int(11) NOT NULL
) ENGINE=MyISAM AUTO_INCREMENT=32 DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

--
-- Vypisuji data pro tabulku `logprepoctu`
--

INSERT INTO `logprepoctu` (`Id`, `Datum`, `Cas_behu`, `Pocet_uzivatelu`, `Pocet_Mest`) VALUES
(31, '2015-04-28 20:03:01', 0.060909986495972, 1, 1);

-- --------------------------------------------------------

--
-- Struktura tabulky `logutok`
--

CREATE TABLE IF NOT EXISTS `logutok` (
  `Id` int(11) NOT NULL,
  `Id_utocnik` int(11) NOT NULL,
  `Id_obrance` int(11) NOT NULL,
  `Vyhra` varchar(2) COLLATE utf8_czech_ci NOT NULL,
  `Typ_utoku` int(11) NOT NULL,
  `U_Ztraty_jed` text COLLATE utf8_czech_ci NOT NULL,
  `U_Zisk_sur` text COLLATE utf8_czech_ci NOT NULL,
  `U_Poslane_jed` text COLLATE utf8_czech_ci NOT NULL,
  `O_Ztraty_jed` text COLLATE utf8_czech_ci NOT NULL,
  `Datum` datetime NOT NULL
) ENGINE=MyISAM AUTO_INCREMENT=32 DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

-- --------------------------------------------------------

--
-- Struktura tabulky `mesto`
--

CREATE TABLE IF NOT EXISTS `mesto` (
  `Id_mesto` int(11) NOT NULL,
  `Nazev` varchar(50) COLLATE utf8_czech_ci NOT NULL,
  `Doba` int(11) NOT NULL,
  `Misto` int(11) DEFAULT NULL,
  `Misto_kasarny` int(11) NOT NULL,
  `Max_vojska` int(11) NOT NULL,
  `Max_surovin` int(11) NOT NULL,
  `Max_lidi` int(11) NOT NULL,
  `X_souradnice` int(11) NOT NULL,
  `Y_souradnice` int(11) NOT NULL,
  `Id_uzivatel` int(11) NOT NULL
) ENGINE=MyISAM AUTO_INCREMENT=36 DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

--
-- Vypisuji data pro tabulku `mesto`
--

INSERT INTO `mesto` (`Id_mesto`, `Nazev`, `Doba`, `Misto`, `Misto_kasarny`, `Max_vojska`, `Max_surovin`, `Max_lidi`, `X_souradnice`, `Y_souradnice`, `Id_uzivatel`) VALUES
(12, 'Vesnice', 1, 958, 575, 840, 650, 720, 1, 1, 6),
(35, 'Tomopolis', 1, 8000, 0, 0, 400, 400, -28, 36, 13);

-- --------------------------------------------------------

--
-- Struktura tabulky `prava`
--

CREATE TABLE IF NOT EXISTS `prava` (
  `Id` int(11) NOT NULL,
  `EditaceVsech_Uziv` tinyint(1) NOT NULL DEFAULT '0',
  `Mazani_Uziv` tinyint(1) NOT NULL DEFAULT '0',
  `Banovani_Uziv` tinyint(1) NOT NULL DEFAULT '0',
  `EditDoby` tinyint(1) NOT NULL DEFAULT '0',
  `EditSuroviny` tinyint(1) NOT NULL DEFAULT '0',
  `EditJednotky` tinyint(1) NOT NULL DEFAULT '0',
  `EditBudovy` tinyint(1) NOT NULL DEFAULT '0',
  `EditCena_Budov` tinyint(1) NOT NULL DEFAULT '0',
  `EditCena_Jednotek` tinyint(1) NOT NULL DEFAULT '0',
  `Sprava_Verzi` tinyint(1) NOT NULL DEFAULT '0',
  `Sys_Zpravy` tinyint(1) NOT NULL DEFAULT '0',
  `AdminMenu` tinyint(1) NOT NULL DEFAULT '0',
  `EditQuest` tinyint(1) NOT NULL DEFAULT '0',
  `EditPrava` tinyint(1) NOT NULL DEFAULT '0',
  `Popis` varchar(15) COLLATE utf8_czech_ci NOT NULL
) ENGINE=MyISAM AUTO_INCREMENT=7 DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

--
-- Vypisuji data pro tabulku `prava`
--

INSERT INTO `prava` (`Id`, `EditaceVsech_Uziv`, `Mazani_Uziv`, `Banovani_Uziv`, `EditDoby`, `EditSuroviny`, `EditJednotky`, `EditBudovy`, `EditCena_Budov`, `EditCena_Jednotek`, `Sprava_Verzi`, `Sys_Zpravy`, `AdminMenu`, `EditQuest`, `EditPrava`, `Popis`) VALUES
(1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 'Admin práva'),
(3, 0, 0, 1, 0, 0, 1, 1, 1, 1, 0, 1, 1, 1, 0, 'Moderátor práva'),
(2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'BFU práva');

-- --------------------------------------------------------

--
-- Struktura tabulky `quest`
--

CREATE TABLE IF NOT EXISTS `quest` (
  `Id` int(11) NOT NULL,
  `Nazev` varchar(35) COLLATE utf8_czech_ci NOT NULL,
  `Text` text COLLATE utf8_czech_ci NOT NULL,
  `Sila` int(25) NOT NULL,
  `Odmena` text COLLATE utf8_czech_ci NOT NULL
) ENGINE=MyISAM AUTO_INCREMENT=5 DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

--
-- Vypisuji data pro tabulku `quest`
--

INSERT INTO `quest` (`Id`, `Nazev`, `Text`, `Sila`, `Odmena`) VALUES
(2, 'Ztráta surovin', '<p>Kousek za Va&scaron;&iacute; vesnic&iacute; byl přepaden&nbsp;povoz se surovinami. Chopili se ho zloději žij&iacute;c&iacute; v okoln&iacute;ch les&iacute;ch. Použijte vojenskou s&iacute;lu a vezměte si zpět sv&eacute; suroviny.</p>\r\n<p>&nbsp;</p>\r\n<p>Obt&iacute;žnost: Lehk&aacute;</p>', 20, 'a:4:{i:1;s:2:"10";i:2;s:2:"10";i:3;s:2:"10";i:4;s:2:"20";}'),
(3, 'Odměna', '<p>Můj pane,</p>\r\n<p>za Va&scaron;e služby V&aacute;m věnujeme č&aacute;st ze sv&yacute;ch z&aacute;sob.</p>\r\n<p>&nbsp;</p>\r\n<p>Obt&iacute;žnost: Ž&aacute;dn&aacute;</p>', 0, 'a:4:{i:1;s:2:"50";i:2;s:2:"50";i:3;s:2:"50";i:4;s:2:"50";}'),
(4, '3. příběhový', '<p>Za vesnic&iacute; se usadila banda n&aacute;jemn&yacute;ch vrahů. Va&scaron;i vesničan&eacute; jsou vydě&scaron;eni. Proto je potřeba tuto hrozbu eliminovat. Dobře se V&aacute;m odměn&iacute;.</p>\r\n<p>&nbsp;</p>\r\n<p>Obt&iacute;žnost: Vysok&aacute;</p>', 100, 'a:1:{i:4;s:4:"1000";}');

-- --------------------------------------------------------

--
-- Struktura tabulky `sklad`
--

CREATE TABLE IF NOT EXISTS `sklad` (
  `id` int(11) NOT NULL,
  `Id_mesto` int(11) NOT NULL,
  `Id_suroviny` int(11) NOT NULL,
  `Pocet` int(11) DEFAULT NULL
) ENGINE=MyISAM AUTO_INCREMENT=61 DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

--
-- Vypisuji data pro tabulku `sklad`
--

INSERT INTO `sklad` (`id`, `Id_mesto`, `Id_suroviny`, `Pocet`) VALUES
(31, 12, 1, 350),
(32, 12, 2, 550),
(33, 12, 3, 500),
(34, 12, 4, 10230),
(35, 12, 5, 48),
(56, 35, 1, 100),
(57, 35, 2, 100),
(58, 35, 3, 100),
(59, 35, 4, 100),
(60, 35, 5, 100);

-- --------------------------------------------------------

--
-- Struktura tabulky `typ_budovy`
--

CREATE TABLE IF NOT EXISTS `typ_budovy` (
  `Id_typ` int(11) NOT NULL,
  `Nazev` varchar(50) COLLATE utf8_czech_ci NOT NULL,
  `Popis` text COLLATE utf8_czech_ci,
  `Prostor` int(11) DEFAULT NULL
) ENGINE=MyISAM AUTO_INCREMENT=12 DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

--
-- Vypisuji data pro tabulku `typ_budovy`
--

INSERT INTO `typ_budovy` (`Id_typ`, `Nazev`, `Popis`, `Prostor`) VALUES
(1, 'Dům', '', 2),
(2, 'Dřevorubec', NULL, 1),
(3, 'Kameník', NULL, 2),
(4, 'Kasárna', NULL, 3),
(5, 'Železný důl', NULL, 2),
(6, 'Sklad', NULL, 1),
(7, 'Ropná plošina', NULL, 3),
(8, 'Továrna na beton', NULL, 3),
(9, 'Částicový urychlovač', NULL, 10),
(10, 'Tržiště', NULL, 3);

-- --------------------------------------------------------

--
-- Struktura tabulky `typ_jednotky`
--

CREATE TABLE IF NOT EXISTS `typ_jednotky` (
  `Id_typ` int(11) NOT NULL,
  `Nazev` varchar(50) COLLATE utf8_czech_ci NOT NULL,
  `Popis` text COLLATE utf8_czech_ci,
  `Sila` int(11) DEFAULT NULL,
  `Obrana` int(11) DEFAULT NULL,
  `Pocet_mist` int(11) DEFAULT NULL,
  `Batoh` int(11) NOT NULL
) ENGINE=MyISAM AUTO_INCREMENT=7 DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

--
-- Vypisuji data pro tabulku `typ_jednotky`
--

INSERT INTO `typ_jednotky` (`Id_typ`, `Nazev`, `Popis`, `Sila`, `Obrana`, `Pocet_mist`, `Batoh`) VALUES
(1, 'Špión', 'slouží ke špionážím', 1, 1, 1, 0),
(2, 'Lučišník', 'útok na dálku', 20, 2, 1, 0),
(3, 'Šermíř', 'útok z blízka', 20, 20, 1, 0),
(4, 'Konvoj', 'slouží pro přepravu jednotek', 1, 20, 5, 0),
(5, 'Hrdina', 'Epická jednotka', 50, 40, 2, 0);

-- --------------------------------------------------------

--
-- Struktura tabulky `typ_surovin`
--

CREATE TABLE IF NOT EXISTS `typ_surovin` (
  `Id_suroviny` int(11) NOT NULL,
  `Nazev_suroviny` varchar(50) COLLATE utf8_czech_ci NOT NULL,
  `Popis` text COLLATE utf8_czech_ci
) ENGINE=MyISAM AUTO_INCREMENT=9 DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

--
-- Vypisuji data pro tabulku `typ_surovin`
--

INSERT INTO `typ_surovin` (`Id_suroviny`, `Nazev_suroviny`, `Popis`) VALUES
(1, 'Dřevo', NULL),
(2, 'Kámen', NULL),
(3, 'Železo', NULL),
(4, 'Zlato', NULL),
(5, 'Populace', NULL),
(6, 'Ropa', NULL),
(7, 'Beton', NULL),
(8, 'Nakadárium', NULL);

-- --------------------------------------------------------

--
-- Struktura tabulky `uzivatel`
--

CREATE TABLE IF NOT EXISTS `uzivatel` (
  `Id_uzivatel` int(11) NOT NULL,
  `Jmeno` varchar(50) COLLATE utf8_czech_ci DEFAULT NULL,
  `Prijmeni` varchar(50) COLLATE utf8_czech_ci DEFAULT NULL,
  `Prezdivka` varchar(50) COLLATE utf8_czech_ci NOT NULL,
  `Email` varchar(50) COLLATE utf8_czech_ci NOT NULL,
  `Heslo` varchar(80) COLLATE utf8_czech_ci NOT NULL,
  `Popis` text COLLATE utf8_czech_ci,
  `Skore` float NOT NULL,
  `Datum_registrace` datetime NOT NULL,
  `Novacek` tinyint(1) NOT NULL,
  `dokoncena_registrace` tinyint(1) NOT NULL,
  `aktivni` tinyint(1) NOT NULL,
  `Id_prava` int(11) NOT NULL
) ENGINE=MyISAM AUTO_INCREMENT=14 DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

--
-- Vypisuji data pro tabulku `uzivatel`
--

INSERT INTO `uzivatel` (`Id_uzivatel`, `Jmeno`, `Prijmeni`, `Prezdivka`, `Email`, `Heslo`, `Popis`, `Skore`, `Datum_registrace`, `Novacek`, `dokoncena_registrace`, `aktivni`, `Id_prava`) VALUES
(6, 'Radek', 'Jirsa', 'admin', 'Jirsa.r@gmail.com', '$2y$11$UdfBt0XVa7y2yoNMVST4uuk2qseyQp28LkoyTDQfwFF9YC.wCrbom', '', 0, '2015-03-20 20:00:00', 1, 1, 1, 1),
(13, 'Tom', 'Machek', 'TomEm', 'tmachek@seznam.cz', '$2y$11$bYjvAp3OX7OTZVQThpbxk.agd83n.AY0m96/vnElDYrYrL0eQzjGW', '', 0, '2015-04-20 15:00:00', 1, 1, 1, 2);

-- --------------------------------------------------------

--
-- Struktura tabulky `verze`
--

CREATE TABLE IF NOT EXISTS `verze` (
  `Id` int(11) NOT NULL,
  `Nazev` varchar(11) COLLATE utf8_czech_ci NOT NULL,
  `Text` text COLLATE utf8_czech_ci NOT NULL,
  `Datum` datetime NOT NULL,
  `Id_autor` int(11) NOT NULL
) ENGINE=MyISAM AUTO_INCREMENT=11 DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

--
-- Vypisuji data pro tabulku `verze`
--

INSERT INTO `verze` (`Id`, `Nazev`, `Text`, `Datum`, `Id_autor`) VALUES
(1, '0.3', '<p>- Pln&aacute; funkčnost aplikace:</p>\r\n<ul style="list-style-type: disc;">\r\n<li>možnost stavěn&iacute; budov</li>\r\n<li>možnost tr&eacute;nov&aacute;n&iacute; jednotek</li>\r\n</ul>', '2015-02-05 03:35:09', 6),
(2, '0.3.1', '<p>- Byl vybudov&aacute;n syst&eacute;m Verzov&aacute;n&iacute;</p>\r\n<ul style="list-style-type: disc;">\r\n<li>Zde budou zobrazov&aacute;ny z&aacute;sadn&iacute; změny v aplikaci.</li>\r\n</ul>', '2015-02-05 03:47:32', 6),
(3, '0.3.1.1', '<p>- Byla zprovozněna registrace</p>\r\n<ul style="list-style-type: disc;">\r\n<li>Nyn&iacute; je možn&eacute; se bezprobl&eacute;mů zaregistrovat. =)</li>\r\n</ul>', '2015-02-20 01:15:55', 6),
(4, '0.3.1.2', '<p>- Byl přid&aacute;n komunikačn&iacute; modul:</p>\r\n<ul style="list-style-type: disc;">\r\n<li>Nyn&iacute; je možn&eacute; komunikovat s uživateli.</li>\r\n</ul>', '2015-02-27 14:17:29', 6),
(5, '0.3.1.3', '<p>- Provedena z&aacute;sadn&iacute; aktualizace:</p>\r\n<ul style="list-style-type: disc;">\r\n<li>Funkčn&iacute; přepočet</li>\r\n<li>Opraveny chyby</li>\r\n<li>Vylep&scaron;en&aacute; funkčnost zpr&aacute;v</li>\r\n<li>Zv&yacute;&scaron;ena bezpečnost aplikace</li>\r\n<li>Změněn syst&eacute;m přidělov&aacute;n&iacute; pr&aacute;v</li>\r\n</ul>', '2015-03-08 03:44:13', 6),
(6, '0.3.2', '<p>- Byl vytvořen syst&eacute;m &uacute;toků:</p>\r\n<ul style="list-style-type: disc;">\r\n<li>Nyn&iacute; je možn&eacute; &uacute;točit na ostatn&iacute; hr&aacute;če</li>\r\n</ul>', '2015-03-22 16:27:02', 6),
(7, '0.3.3', '<p>- Z&aacute;sadn&iacute; optimalizace aplikace:</p>\r\n<ul style="list-style-type: disc;">\r\n<li>Zrychlen&iacute; nač&iacute;t&aacute;n&iacute; apliakce</li>\r\n<li>Zmen&scaron;en&iacute; objemu přen&aacute;&scaron;en&yacute;ch dat</li>\r\n</ul>', '2015-03-28 11:55:32', 6),
(8, '0.3.3.2', '<p>- Byl přid&aacute;n modul př&iacute;běhov&yacute;ch mis&iacute;:</p>\r\n<ul style="list-style-type: disc;">\r\n<li>Nyn&iacute; je možn&eacute; hr&aacute;t př&iacute;běhov&eacute; &uacute;koly</li>\r\n</ul>\r\n<p>- Byly provedeny drobn&eacute; &uacute;pravy administračn&iacute; sekce</p>\r\n<p>- Změna zobrazov&aacute;n&iacute; verz&iacute;</p>', '2015-03-29 01:07:40', 6),
(9, '0.3.4', '<p>- Byl optimalizov&aacute;n web</p>\r\n<p>- Upraveno nač&iacute;t&aacute;n&iacute; grafiky + změna grafick&yacute;ch prvků</p>\r\n<p>- Přid&aacute;na podpora generov&aacute;n&iacute; počas&iacute;</p>\r\n<ul style="list-style-type: disc;">\r\n<li>Počas&iacute; nyn&iacute; ovlivňuje &uacute;toky jednotek</li>\r\n</ul>', '2015-04-01 17:28:07', 6),
(10, '0.3.5', '<p>- Drobn&eacute; opravy chyb</p>\r\n<p>- Hra otevřena k testov&aacute;n&iacute;</p>', '2015-04-28 17:07:08', 6);

-- --------------------------------------------------------

--
-- Struktura tabulky `zprava`
--

CREATE TABLE IF NOT EXISTS `zprava` (
  `Id_zprava` int(11) NOT NULL,
  `Id_prijemce` int(11) DEFAULT NULL,
  `Id_odesilatele` int(11) NOT NULL,
  `Predmet` varchar(50) DEFAULT NULL,
  `Text` text,
  `Precteno` tinyint(1) DEFAULT '0',
  `Typ_posty` int(11) DEFAULT '1',
  `Smaz_odes` tinyint(1) NOT NULL DEFAULT '0',
  `Smaz_prij` tinyint(1) NOT NULL DEFAULT '0',
  `Datum_odeslani` datetime NOT NULL
) ENGINE=MyISAM AUTO_INCREMENT=74 DEFAULT CHARSET=utf8;

--
-- Vypisuji data pro tabulku `zprava`
--

INSERT INTO `zprava` (`Id_zprava`, `Id_prijemce`, `Id_odesilatele`, `Predmet`, `Text`, `Precteno`, `Typ_posty`, `Smaz_odes`, `Smaz_prij`, `Datum_odeslani`) VALUES
(73, 13, 6, 'Zdravím', 'Dobrý den,\r\nvítám tě tu :D', 1, 1, 0, 0, '2015-04-22 15:53:09');

--
-- Klíče pro exportované tabulky
--

--
-- Klíče pro tabulku `budova`
--
ALTER TABLE `budova`
  ADD PRIMARY KEY (`Id_budova`);

--
-- Klíče pro tabulku `cena_budov`
--
ALTER TABLE `cena_budov`
  ADD PRIMARY KEY (`id`);

--
-- Klíče pro tabulku `cena_jednotek`
--
ALTER TABLE `cena_jednotek`
  ADD PRIMARY KEY (`id`);

--
-- Klíče pro tabulku `doba`
--
ALTER TABLE `doba`
  ADD PRIMARY KEY (`Id_doba`), ADD UNIQUE KEY `UQ_Doba_Id_doba` (`Id_doba`);

--
-- Klíče pro tabulku `hotove_q`
--
ALTER TABLE `hotove_q`
  ADD PRIMARY KEY (`Id`);

--
-- Klíče pro tabulku `jednotka`
--
ALTER TABLE `jednotka`
  ADD PRIMARY KEY (`Id_Jednotka`);

--
-- Klíče pro tabulku `logprepoctu`
--
ALTER TABLE `logprepoctu`
  ADD PRIMARY KEY (`Id`);

--
-- Klíče pro tabulku `logutok`
--
ALTER TABLE `logutok`
  ADD PRIMARY KEY (`Id`);

--
-- Klíče pro tabulku `mesto`
--
ALTER TABLE `mesto`
  ADD PRIMARY KEY (`Id_mesto`), ADD UNIQUE KEY `UQ_Mesto_Id_mesto` (`Id_mesto`);

--
-- Klíče pro tabulku `prava`
--
ALTER TABLE `prava`
  ADD PRIMARY KEY (`Id`);

--
-- Klíče pro tabulku `quest`
--
ALTER TABLE `quest`
  ADD PRIMARY KEY (`Id`);

--
-- Klíče pro tabulku `sklad`
--
ALTER TABLE `sklad`
  ADD PRIMARY KEY (`id`);

--
-- Klíče pro tabulku `typ_budovy`
--
ALTER TABLE `typ_budovy`
  ADD PRIMARY KEY (`Id_typ`), ADD UNIQUE KEY `UQ_Typ_budovy_Id_typ` (`Id_typ`);

--
-- Klíče pro tabulku `typ_jednotky`
--
ALTER TABLE `typ_jednotky`
  ADD PRIMARY KEY (`Id_typ`), ADD UNIQUE KEY `UQ_Typ_jednotky_Id_typ` (`Id_typ`);

--
-- Klíče pro tabulku `typ_surovin`
--
ALTER TABLE `typ_surovin`
  ADD PRIMARY KEY (`Id_suroviny`), ADD UNIQUE KEY `UQ_Typ_surovin_Id_suroviny` (`Id_suroviny`);

--
-- Klíče pro tabulku `uzivatel`
--
ALTER TABLE `uzivatel`
  ADD PRIMARY KEY (`Id_uzivatel`), ADD UNIQUE KEY `UQ_Uzivatel_Id_uzivatel` (`Id_uzivatel`);

--
-- Klíče pro tabulku `verze`
--
ALTER TABLE `verze`
  ADD PRIMARY KEY (`Id`);

--
-- Klíče pro tabulku `zprava`
--
ALTER TABLE `zprava`
  ADD PRIMARY KEY (`Id_zprava`), ADD UNIQUE KEY `UQ_Zprava_Id_zprava` (`Id_zprava`);

--
-- AUTO_INCREMENT pro tabulky
--

--
-- AUTO_INCREMENT pro tabulku `budova`
--
ALTER TABLE `budova`
  MODIFY `Id_budova` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=82;
--
-- AUTO_INCREMENT pro tabulku `cena_budov`
--
ALTER TABLE `cena_budov`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=42;
--
-- AUTO_INCREMENT pro tabulku `cena_jednotek`
--
ALTER TABLE `cena_jednotek`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=33;
--
-- AUTO_INCREMENT pro tabulku `doba`
--
ALTER TABLE `doba`
  MODIFY `Id_doba` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=2;
--
-- AUTO_INCREMENT pro tabulku `hotove_q`
--
ALTER TABLE `hotove_q`
  MODIFY `Id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=4;
--
-- AUTO_INCREMENT pro tabulku `jednotka`
--
ALTER TABLE `jednotka`
  MODIFY `Id_Jednotka` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=36;
--
-- AUTO_INCREMENT pro tabulku `logprepoctu`
--
ALTER TABLE `logprepoctu`
  MODIFY `Id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=32;
--
-- AUTO_INCREMENT pro tabulku `logutok`
--
ALTER TABLE `logutok`
  MODIFY `Id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=32;
--
-- AUTO_INCREMENT pro tabulku `mesto`
--
ALTER TABLE `mesto`
  MODIFY `Id_mesto` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=36;
--
-- AUTO_INCREMENT pro tabulku `prava`
--
ALTER TABLE `prava`
  MODIFY `Id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=7;
--
-- AUTO_INCREMENT pro tabulku `quest`
--
ALTER TABLE `quest`
  MODIFY `Id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=5;
--
-- AUTO_INCREMENT pro tabulku `sklad`
--
ALTER TABLE `sklad`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=61;
--
-- AUTO_INCREMENT pro tabulku `typ_budovy`
--
ALTER TABLE `typ_budovy`
  MODIFY `Id_typ` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=12;
--
-- AUTO_INCREMENT pro tabulku `typ_jednotky`
--
ALTER TABLE `typ_jednotky`
  MODIFY `Id_typ` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=7;
--
-- AUTO_INCREMENT pro tabulku `typ_surovin`
--
ALTER TABLE `typ_surovin`
  MODIFY `Id_suroviny` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=9;
--
-- AUTO_INCREMENT pro tabulku `uzivatel`
--
ALTER TABLE `uzivatel`
  MODIFY `Id_uzivatel` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=14;
--
-- AUTO_INCREMENT pro tabulku `verze`
--
ALTER TABLE `verze`
  MODIFY `Id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=11;
--
-- AUTO_INCREMENT pro tabulku `zprava`
--
ALTER TABLE `zprava`
  MODIFY `Id_zprava` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=74;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
