<?php
/* @var $this CenaJednotekController */
/* @var $model CenaJednotek */
/* @var $form CActiveForm */
?>

<div class="form">

<?php $form=$this->beginWidget('CActiveForm', array(
	'id'=>'cena-jednotek-form',
	// Please note: When you enable ajax validation, make sure the corresponding
	// controller action is handling ajax validation correctly.
	// There is a call to performAjaxValidation() commented in generated controller code.
	// See class documentation of CActiveForm for details on this.
	'enableAjaxValidation'=>false,
)); ?>

	<p class="note">Fields with <span class="required">*</span> are required.</p>

	<?php echo $form->errorSummary($model); ?>

	<div class="row">
		<?php echo $form->labelEx($model,'Id_typ_jednotky'); ?>
		<?php echo $form->dropDownList(
                        $model,'Id_typ_jednotky',
                        CHtml::listData(TypJednotky::model()->findAll(), 'Id_typ', 'Nazev'),
                        array('' => '')
                ); ?>
		<?php echo $form->error($model,'Id_typ_jednotky'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'Id_suroviny'); ?>
		<?php echo $form->dropDownList(
                        $model,'Id_suroviny',
                        CHtml::listData(TypSurovin::model()->findAll(), 'Id_suroviny', 'Nazev_suroviny'),
                        array('' => '')
                ); ?>
		<?php echo $form->error($model,'Id_suroviny'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'Pocet'); ?>
		<?php echo $form->textField($model,'Pocet'); ?>
		<?php echo $form->error($model,'Pocet'); ?>
	</div>

	<div class="row buttons">
		<?php echo CHtml::submitButton($model->isNewRecord ? 'Vytvořit' : 'Uložit'); ?>
	</div>

<?php $this->endWidget(); ?>

</div><!-- form -->