<?php
/* @var $this JednotkaController */
/* @var $model Jednotka */
/* @var $form CActiveForm */
$this->breadcrumbs=array(
	'Najímání jednotek');
?>
<link rel="stylesheet" href="<?php echo Yii::app()->request->baseUrl; ?>/css/Slider_css.css">
<?php require_once(Yii::app()->basePath . '/extensions/JQuery/jquery.php'); ?>
<div class="form">


    <?php
    $form = $this->beginWidget('CActiveForm', array(
        'id' => 'jednotka-form',
    ));
    $cenaAll = array();  // pole s cenou pro každou jednotku
    $skladAkt = array(); // dočasný sklad materiálu
    //Nalnění dočasného skladu
    for ($k = 1; $k <= 5; $k++) {
        $skladAkt[$k] = $this->aktualniSklad($k);
    }
    //každá doba bude mít vlastní načítání kvůli počtu budov
    if (Yii::app()->session['doba'] == 1):
        for ($i = 1; $i <= 5; $i++):
            // zjištění typu jednotky
            $typ = TypJednotky::model()->findByAttributes(array('Id_typ' => $i));
            // zjištění ceny za danou jednotku
            $cena = CenaJednotek::model()->with('suroviny')->findAllByAttributes(array('Id_typ_jednotky' => $i));
            // zjištění ID jednotky + již zakoupený početvojáků
            $jednotka = Jednotka::model()->findByAttributes(array('Typ_jednotky' => $i, 'Id_mesto' => Yii::app()->session['ID_Mesta']));
            // zjištění maximálního možného počtu jednotek k nákupu
            $maximum = $this->Maximum($i, 0, 0);
            /*             * *************** *
             *  GUI pro formulář
             * **************** */
            ?>
            <table border="0">
                <tr>
                    <td rowspan="3" class="unit_img"><img src="<?php echo Yii::app()->request->baseUrl; ?>/css/images/<?php echo $typ['Id_typ']; ?>.png" alt="<?php echo $typ['Nazev']; ?>"</td>
                    <td colspan="7" class="name"><?php echo $typ['Nazev']; ?></td>
                </tr>
                <tr>

                    <td colspan="7" class="description"><?php echo $typ['Popis']; ?></td>
                </tr>
                <tr>
                    <td></td>
                    <?php
                    foreach ($cena as $sur) {
                        $cenaAll[$i][$sur['Id_suroviny']] = $sur['Pocet'];
                       echo "<td class='s-".$sur['Id_suroviny']."' title='" . $sur['suroviny']['Nazev_suroviny'] . "' style='padding-left:30px;'>" . $sur['Pocet'] . "</td>";
                    }
                    ?>
                </tr>
                <tr>
                    <td style="height: 30px;"><p class="own"><?php echo $jednotka['Pocet_jednotek'] ?></p></td>
                </tr>
                <tr>
                    <td><p class="minT" >0</p></td>
                    <td style="width: 45px;" class="arrowl" onclick="setMin(<?php echo $jednotka['Id_Jednotka'] ?>)" ></td>
                    <td colspan="4"><div id="<?php echo $jednotka['Id_Jednotka'] ?>" name="<?php echo $jednotka['Id_Jednotka'] ?>" class="slider" ></div></td>
                    <td class="arrowr" onclick="setMax(<?php echo $jednotka['Id_Jednotka'] ?>)"><p class="maxT" id="<?php echo $jednotka['Id_Jednotka'] ?>_m"><?php echo $maximum ?></p></td>
                </tr>
                <tr>
                    <td colspan="8"><p class="slide_text" id ="<?php echo$jednotka['Id_Jednotka'] ?>_t">0</p></td>
                </tr>
            </table>
            <?php
            echo "<input id='" . $jednotka['Id_Jednotka'] . "_old' type='hidden' value='" . $jednotka['Pocet_jednotek'] . "'/>";
            echo "<input id='" . $jednotka['Id_Jednotka'] . "_v' value='0' name='" . $jednotka['Id_Jednotka'] . "' class='data-slider'  type='hidden' />";
            echo "<input id='" . $jednotka['Id_Jednotka'] . "_typ' type='hidden' name='" . $jednotka['Id_Jednotka'] . "_t' value='" . $typ['Id_typ'] . "' />";
            echo" <script type='text/javascript'>
	             $('#" . $jednotka['Id_Jednotka'] . "').slider({animate:true,value:0, min:0, max:" . $maximum . ",step:1,slide: function(event, ui){ $('#" . $jednotka['Id_Jednotka'] . "_t').html(ui.value);},change: function(event, ui){ $('#" . $jednotka['Id_Jednotka'] . "_v').attr('value', ui.value);fired(" . $jednotka['Id_Jednotka'] . ");}});
                    </script>";
        endfor;
    endif;
    ?>
    <script type='text/javascript'>
        function setMin(t) {
            var e = 0;
            $("#" + t + "_t").text(e), $("#" + t + "_v").val(e), $("#" + t).slider("option", "value", e)
        }
        function setMax(t) {
            var e = $("#" + t + "_m").text();
            $("#" + t + "_t").text(e), $("#" + t + "_v").val(e), $("#" + t).slider("option", "value", e)
        }
        function fired(a) {
            var t = <?php echo json_encode($skladAkt) ?>, n = <?php echo json_encode($cenaAll) ?>;
            $(".data-slider").each(function () {
                var a = parseInt($(this).attr("id")), r = parseInt($("#" + a + "_typ").val()), e = parseInt($(this).val());
                jQuery.each(n[r], function (a, n) {
                    t[a] = t[a] - n * e
                })
            }), $(".data-slider").each(function () {
                var n = parseInt($(this).attr("id")), r = parseInt($("#" + n + "_typ").val()), e = parseInt($(this).val());
                n !== a && $.post("<?php echo Yii::app()->createUrl('jednotka/ajaxMaximum') ?>", {i: r, sklad: t}, function (a) {
                    max = a, e > 0 && (max = parseInt(e) + parseInt(max)), $("#" + n).slider("option", "max", max), $("#" + n + "_m").text(max)
                })
            })
        }
    </script>
    <br />
    <div class="row buttons">
<?php echo CHtml::submitButton('Najmout'); ?>
    </div>
<?php $this->endWidget(); ?>
</div><!-- form -->