<!DOCTYPE html>
<!--[if lt IE 7 ]><html class="ie ie6" lang="en"> <![endif]-->
<!--[if IE 7 ]><html class="ie ie7" lang="en"> <![endif]-->
<!--[if IE 8 ]><html class="ie ie8" lang="en"> <![endif]-->
<!--[if (gte IE 9)|!(IE)]><!--><html lang="en"> <!--<![endif]-->
    <head>
        <meta charset="utf-8">
        <title><?php echo CHtml::encode($this->pageTitle); ?></title>
        <meta name="description" content="<?php //echo $description        ?>">
        <meta name="author" content="">
        <meta name="language" content="cs" />
        <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
        <link rel="stylesheet" href="<?php echo Yii::app()->request->baseUrl; ?>/css/zerogrid.css">
        <link rel="stylesheet" href="<?php echo Yii::app()->request->baseUrl; ?>/css/style.css">
        <!--<link href='<?php echo Yii::app()->request->baseUrl; ?>/images/favicon.ico' rel='icon' type='image/x-icon'/>-->

    </head>
    <body>
        <div class="container" id="page">
            <!--------------Header--------------->
            <div class="hlavicka">
                <header> 
                    <div id="logo"><a href="<?php echo Yii::app()->request->baseUrl; ?>/index.php"><img src="<?php echo Yii::app()->request->baseUrl; ?>/css/images/logo+.png" /></a></div>
                    <nav>
                        <?php
                        if (!Yii::app()->user->isGuest) {
                            $pocet = Zprava::model()->findAllByAttributes(array('Id_prijemce' => Yii::app()->user->id, 'Smaz_prij' => 0, 'Precteno' => '0'));
                            ?> 
                            <ul>
                                <li><a href="<?php echo Yii::app()->request->baseUrl; ?>/">Domů</a></li>
                                <?php if (Yii::app()->session['PRAVA']['EditaceVsech_Uziv'] == '1'): ?>
                                    <li><a href="<?php echo Yii::app()->request->baseUrl; ?>/uzivatel/admin">Uživatelé</a></li>
                                <?php endif; ?>
                                <?php if (Yii::app()->session['PRAVA']['EditaceVsech_Uziv'] != '1'): ?>
                                    <li><a href="<?php echo Yii::app()->request->baseUrl . "/uzivatel/update/" . Yii::app()->user->id; ?>">Uživatel</a></li>
                                <?php endif; ?>
                                <li><a href="<?php echo Yii::app()->request->baseUrl; ?>/posta/prijate">Pošta 
                                        <?php
                                        if (count($pocet) > 0) {
                                            echo '(' . count($pocet) . ')';
                                        }
                                        ?>
                                    </a></li>
                                <li><a href="<?php echo Yii::app()->request->baseUrl; ?>/site/faq">FAQ</a></li>
                                <li><a href="<?php echo Yii::app()->request->baseUrl; ?>/site/logout">Odhlásit (<?php echo Yii::app()->user->name; ?>)</a></li>
                            </ul>
                            <?php
                        }
                        if (Yii::app()->user->isGuest):
                            ?>
                            <ul> 
                                <?php $this->renderPartial("//site/login", array("model" => new LoginForm)); ?>
                            </ul>
                        <?php endif ?>
                    </nav>
                </header>
            </div>
            <?php if (!Yii::app()->user->isGuest): ?>
                <div class="zerogrid">		
                    <div class="row">
                        <div id="bar">
                            <?php $this->renderPartial("//site/bar"); ?>
                        </div>  
                    </div>
                </div>
            <?php endif ?>
            <div class="zerogrid">		
                <div class="row">
                    <!-- breadcrumbs -->
                    <?php
                    $this->widget('zii.widgets.CBreadcrumbs', array(
                        'links' => $this->breadcrumbs,
                    ));
                    ?><!-- breadcrumbs -->
                </div>  
            </div>
            <!--------------Content--------------->
            <section id="content">
                <div class="zerogrid">		
                    <div class="row">
                        <div id="main-content" class="levy">            


                            <?php echo $content; ?>
                            <!--------------End of Content--------------->
                        </div> 
                        <!------------Prave menu--------------->
                    </div>
                    <div id="sidebar" class="pravy">
                        <?php if (!Yii::app()->user->isGuest): ?>
                            <?php if ($this->id == "utok"): ?>
                                <section>
                                    <div class="heading"><h2>Menu útoků</h2></div>
                                    <div class="content">
                                        <ul>
                                            <li><a href="<?php echo Yii::app()->request->baseUrl; ?>/utok">Zaútočit</a></li>
                                            <li><a href="<?php echo Yii::app()->request->baseUrl; ?>/utok/archiv">Archiv útoků</a></li>
                                        </ul>
                                    </div>
                                </section>
                            <?php endif; ?> 

                            <?php if ($this->id == "posta"): ?>
                                <section>
                                    <div class="heading"><h2>Poštovní menu</h2></div>
                                    <div class="content">
                                        <ul>
                                            <li><a class="fancybox fancybox.iframe" href="<?php echo Yii::app()->request->baseUrl; ?>/posta/nova">Nová zpráva</a></li>
                                            <?php if ($this->action->id == "odeslane"): ?>
                                                <li><a href="<?php echo Yii::app()->request->baseUrl; ?>/posta/prijate">Přijaté zprávy</a></li>
                                            <?php endif; ?>
                                            <?php if ($this->action->id == "prijate"): ?>
                                                <li><a href="<?php echo Yii::app()->request->baseUrl; ?>/posta/odeslane">Odeslané zprávy</a></li>
                                            <?php endif; ?>
                                        </ul>
                                    </div>
                                </section>
                            <?php endif; ?>    
                            <section>
                                <div class="heading"><h2>Menu</h2></div>
                                <div class="content">
                                    <ul>
                                        <li><a href="<?php echo Yii::app()->request->baseUrl; ?>/jednotka/jednotka">Najmout jednotky</a></li>
                                        <li><a href="<?php echo Yii::app()->request->baseUrl; ?>/budova/budova">Správa Města</a></li>
                                        <li><a href="<?php echo Yii::app()->request->baseUrl; ?>/utok">Útoky</a></li>
                                    </ul>
                                </div>
                            </section>
                            <?php if (Yii::app()->session['AdminMenu']): ?>
                                <section>
                                    <div class="heading"><h2>Admin Menu</h2></div>
                                    <div class="content">
                                        <ul>
                                            <li><a href="<?php echo Yii::app()->request->baseUrl; ?>/doba">Doby</a></li>
                                            <li><a href="<?php echo Yii::app()->request->baseUrl; ?>/typSurovin">Suroviny</a></li>
                                            <li><a href="<?php echo Yii::app()->request->baseUrl; ?>/typJednotky">Jednotky</a></li>
                                            <li><a href="<?php echo Yii::app()->request->baseUrl; ?>/cenaJednotek">Ceny Jednotek</a></li>
                                            <li><a href="<?php echo Yii::app()->request->baseUrl; ?>/typBudovy">Budovy</a></li>
                                            <li><a href="<?php echo Yii::app()->request->baseUrl; ?>/cenaBudov">Ceny Budov</a></li>
                                            <li><a href="<?php echo Yii::app()->request->baseUrl; ?>/quest">Questy</a></li>
                                            <li><a href="<?php echo Yii::app()->request->baseUrl; ?>/verze/admin">Správa verzí</a></li>
                                        </ul>
                                    </div>
                                </section>

                            <?php
                            endif;
                        endif;
                        ?>        
<?php if (Yii::app()->user->isGuest): ?>
                            <section>
                                <div class="heading"><h2>Menu</h2></div>
                                <div class="content">
                                    <ul>
                                        <li><a href="<?php echo Yii::app()->request->baseUrl; ?>/">Domů</a></li>
                                        <li><a href="<?php echo Yii::app()->request->baseUrl; ?>/site/about">O hře</a></li>
                                        <li><a href="<?php echo Yii::app()->request->baseUrl; ?>/site/faq">FAQ</a></li>
                                        <li><a href="<?php echo Yii::app()->request->baseUrl; ?>/uzivatel/registrace">Registrace</a></li>
                                    </ul>
                                </div>
                            </section>
                            <section>
                                <div class="heading"><h2>Galerie</h2></div>
                                <div class="content">
                                    <div class="gallery">
                                        <p>Ukázky ze hry:</p>
                                        <a class="fancybox-B" href="<?php echo Yii::app()->request->baseUrl; ?>/images/1.PNG"><img width="122" height="122" src="<?php echo Yii::app()->request->baseUrl; ?>/images/1.PNG" class="grayscale"/></a>
                                        <a class="fancybox-B" href="<?php echo Yii::app()->request->baseUrl; ?>/images/2.PNG"><img width="122" height="122" src="<?php echo Yii::app()->request->baseUrl; ?>/images/2.PNG" class="grayscale"/></a>
                                        <a class="fancybox-B" href="<?php echo Yii::app()->request->baseUrl; ?>/images/3.PNG"><img width="122" height="122" src="<?php echo Yii::app()->request->baseUrl; ?>/images/3.PNG" class="grayscale"/></a>
                                        <a class="fancybox-B" href="<?php echo Yii::app()->request->baseUrl; ?>/images/4.JPG"><img width="122" height="122" src="<?php echo Yii::app()->request->baseUrl; ?>/images/4.JPG" class="grayscale"/></a>
                                    </div>
                                </div>
                            </section>
<?php endif; ?>
                    </div>
                </div>
        </div>
        <!--------------Pata--------------->
        <div class="wrap-footer">
            <footer>
                <div class="wrapfooter">
                    <p style="text-align: center"> Aktuální verze: 
                        <?php
                        $verze = Verze::model()->findAll(array('order' => 'id DESC', 'limit' => 1));
                        echo '<a href="' . Yii::app()->request->baseUrl . '/verze/' . $verze[0]['Id'] . '">' . $verze[0]['Nazev'] . '</a>';
                        ?>
                        <br />
                        Copyright &copy; <?php echo date('Y'); ?> by Jirsa Radek || All Rights Reserved.<br/>
<?php echo Yii::powered(); ?> </p>
                    <endora>
                </div>

            </footer>
        </div>
    </body>
</html>