<?php
/* @var $this SiteController */
$this->pageTitle = Yii::app()->name;
?>
<?php if (Yii::app()->user->hasFlash('loginError')): ?>
    <div class="flash-error">
        <?php echo Yii::app()->user->getFlash('loginError'); ?>
    </div>
<?php endif; ?>
<?php if (Yii::app()->user->hasFlash('regComplete')): ?>
    <div class="flash-error">
        <?php echo Yii::app()->user->getFlash('regComplete'); ?>
    </div>
    <?php
endif;
if (!Yii::app()->user->isGuest):
    require(Yii::app()->basePath . '/extensions/yr.no/forecast.php');
    ?>

    <article>
        <div class="heading">
            <h2>Novinky</h2>
            <div class="info">
                Během Vaší nepřítomnoti se nic zvláštního nestalo, můj pane.
            </div>
        </div>
        <br />
        <div class="content">
            <h3>Zásoby</h3>
            <p>
                Jídla i vody je dostatek, proto se každý může dosyta nasytit či napojit co hrdlo ráčí.
            </p>
            <h3>Počasí</h3>
            <p>
                Ve Vaší vesnici je právě <strong><?php echo $teplota; ?>°C</strong>, <?php echo $oblacnost; ?>. Na vesničany fouká 
                proměnlivý teplý jarní vánek od jihozápadu. Pravděpodobné srážky <strong><?php echo $srazky; ?> mm</strong>.         
            </p>
            <h3>Vojsko</h3>
            <p>
                Vzhledem k aktuálnímu počasí je morálka vašeho vojska na <strong><?php echo $ucinnost; ?>%</strong>.           
            </p>
            <h3>Systémové zprávy</h3>
            <?php
            $sysZprava = Zprava::model()->with('odesilatel')->findAllByAttributes(array('Typ_posty' => 0), array('order' => 'Id_zprava DESC LIMIT 2'));
            
            if($sysZprava){
            foreach ($sysZprava as $zprava) {
                
            }
            echo"<p>"
            . "<h4>" . $zprava['Predmet'] . "</h4>"
            . $zprava['Text'] . "<br/>"
            . $zprava['odesilatel']['Prezdivka'] . " | " . $zprava['Datum_odeslani'];
            }else{
                echo 'Nebyla nalezena žádná zpráva.';
            }
            ?>

        </div>
    </article>        
    <?php
endif;
if (Yii::app()->user->isGuest):
    require_once(Yii::app()->basePath . '/extensions/fancybox/fancybox.php');
?>
<script type="text/javascript">
    $(document).ready(function() {$(".fancybox").fancybox({fitToView:true,autoSize:true, height: 600});});
</script>
    <article>
        <div class="heading">
            <h2>Vítejte v <i><?php echo CHtml::encode(Yii::app()->name); ?></i></h2>
        </div>
        <br />
        <div class="content">
            <h3>Co je to TestGame?</h3>
            <p>Jedná se o unikátní textovou hru, která nabízí mnoho zábavy.</p>

            <p>Pro hraní této hry musíte být přihlášený.</p>
        </div>
    </article>

<?php endif; ?>
