<?php
/* @var $this JednotkaController */
/* @var $model Jednotka */
/* @var $form CActiveForm */
$this->breadcrumbs=array(
	'Útoky'=>array('index'),
	'Archiv útoků',
);?>
<article>
    <div class="heading">
        <h2>Archiv</h2>
        <div class="info">
            <ul><li><h3>Seznam posledních provedených útoků:</h3></li></ul>
        </div>
    </div>
    <div class="content">
        <br /><br />
        <table border="1" style="width: 616px;">
            <thead>
            <th>Výsledek</th>
            <th>Město obránce</th>
            <th>Město útočníka</th>
            <th>Datum</th>
            <th>Typ útoku</th>
            </thead>
            <?php
            foreach ($model as $utok):
                $utocnik = false;
                if (Yii::app()->session['ID_Mesta'] == $utok['Id_utocnik']) {
                    $utocnik = true;
                }
                if ($utok['Vyhra'] == 1 && $utocnik == false && $utok['Typ_utoku'] == 1) {
                    echo '';
                } else {
                    ?>
                    <tr>
                        <td style="color: <?php echo $this->getBarva($utok['Vyhra'], $utocnik); ?>">
                            <?php
                            echo $this->zjistiVyhru($utok['Vyhra'], $utocnik);
                            ?>
                        </td>
                        <td><?php if($utok['Typ_utoku']!= 2){echo $this->zjistiJmenoMesta($utok['Id_obrance']);}else{echo 'Příběhový quest';} ?></td>
                        <td><?php echo $this->zjistiJmenoMesta($utok['Id_utocnik']); ?></td>
                        <td><?php echo '<a href="vysledek/' . $utok['Id'] . '">' . $utok['Datum'] . '</a>'; ?></td>
                        <td><?php echo $this->zjistiTypUtoku($utok['Typ_utoku']); ?></td>
                    </tr>
                <?php } endforeach; ?>
        </table>
        <br />
        <?php
        $this->widget('CLinkPager', array(
            'currentPage' => $pages->getCurrentPage(),
            'itemCount' => $count,
            'pageSize' => $pageSize,
        ));
        ?>
    </div>
</article>