<?php
/* @var $this JednotkaController */
/* @var $model Jednotka */
/* @var $form CActiveForm */

$utokZtraty = unserialize($model->U_Ztraty_jed);
$utokPoslane = unserialize($model->U_Poslane_jed);
$obranaZtraty = unserialize($model->O_Ztraty_jed);
$utocnik = false;

$jedTyp = $this->vlastnostiJednotek();

if (Yii::app()->session['ID_Mesta'] == $model['Id_utocnik']) {
    $utocnik = true;
}
$this->breadcrumbs=array(
	'Útoky'=>array('index'),
        'Archiv útoků'=>array('archiv'),
	'Útok - '.$model['Datum'],
);?>
<article>
    <div class="heading">
        <h2>Bitevní zpráva</h2>
        <div class="info">
            <ul><li><h3>Výpis z bitvy konané: <?php echo $model['Datum']; ?></h3></li></ul>
        </div>
    </div>
    <div class="content">
        <br /><br />
        <center><h2>Výsledek: <span style="color: <?php echo $this->getBarva($model['Vyhra'], $utocnik); ?>">
                    <?php
                    switch ($model['Typ_utoku']) {
                        case 0:
                            echo $this->zjistiVyhru($model['Vyhra'], $utocnik) . "</span></h2></center>";
                            break;
                        case 1:
                            echo $this->zjistiVyhruSpion($model['Vyhra'], $utocnik) . "</span></h2></center>";
                            break;
                        case 2:
                            echo $this->zjistiVyhruPribeh($model['Vyhra'], $utocnik) . "</span></h2></center>";
                            break;
                    }
                    ?>

                    <center>Útočník: <?php echo $this->zjistiJmenoMesta($model['Id_utocnik']); ?>
                        <?php if ($model['Typ_utoku'] != 2) { ?>
                            X 
                            Obránce: <?php
                            echo $this->zjistiJmenoMesta($model['Id_obrance']);
                        }
                        ?></center><br />

                    <center><h1>Typ útoku: <?php echo $this->zjistiTypUtoku($model['Typ_utoku']); ?></h1></center>

                    <?php
                    if ($model['Typ_utoku'] == 1) {
                        if ($utocnik) {
                            echo '<h3>Moji špioni</h3>';
                        } else {
                            echo '<h3>Špioni poslané do našeho města</h3>';
                        }
                    } else {
                        if ($utocnik) {
                            echo '<h3>Poslané jednotky do bitvy:</h3>';
                        } else {
                            echo '<h3>Útočící jednotky:</h3>';
                        }
                    }
                    if ($this->zjistiPocetMrtvych($utokPoslane) > 0):
                        ?>
                        <table border="1" style="width: 616px;">
                            <thead>
                            <th>Název</th>
                            <th>Útok</th>
                            <th>Obrana</th>
                            <th>Počet</th>
                            </thead>
                            <?php
                            foreach ($utokPoslane as $id => $pocet):
                                if (!empty($pocet)):
                                    ?>
                                    <tr>
                                        <td><?php echo $jedTyp[$id]['Nazev']; ?></td>
                                        <td><?php echo $jedTyp[$id]['Sila']; ?></td>
                                        <td><?php echo $jedTyp[$id]['Obrana']; ?></td>
                                        <td><?php echo $pocet ?></td>
                                    </tr>
                                    <?php
                                endif;
                            endforeach;
                            ?>
                        </table>
                        <?php
                    else:
                        echo 'Nebyly odeslány žádné jednotky.';
                    endif;
                    ?>
                    <br/>
                    <?php
                    if ($utocnik) {
                        echo '<h3>Moje ztráty:</h3>';
                    } else {
                        echo '<h3>Útočníkovi ztráty:</h3>';
                    }
                    if ($this->zjistiPocetMrtvych($utokZtraty) > 0):
                        ?>
                        <table border="1" style="width: 616px;">
                            <thead>
                            <th>Název</th>
                            <th>Útok</th>
                            <th>Obrana</th>
                            <th>Počet</th>
                            </thead>
                            <?php
                            foreach ($utokZtraty as $id => $pocet):
                                if (!empty($pocet)):
                                    ?>
                                    <tr>
                                        <td><?php echo $jedTyp[$id]['Nazev']; ?></td>
                                        <td><?php echo $jedTyp[$id]['Sila']; ?></td>
                                        <td><?php echo $jedTyp[$id]['Obrana']; ?></td>
                                        <td><?php echo $pocet ?></td>
                                    </tr>
                                    <?php
                                endif;
                            endforeach;
                            ?>
                        </table>
                        <?php
                    else:

                        echo 'Nebyly zaznamenány žádné ztráty.<br/>';

                    endif;
                    ?>
                    <br />
                    <?php
                    if ($model['Typ_utoku'] != 2):
                        if ($model['Typ_utoku'] == 1) {
                            if ($utocnik) {
                                echo '<h3>Ve městě byly nalezeny tyto jednotky:</h3>';
                            } else {
                                echo '<h3>Jednotky, které byly prozrazeny:</h3>';
                            }
                        } else {
                            if ($utocnik) {
                                echo '<h3>Obráncovi ztráty:</h3>';
                            } else {
                                echo '<h3>Moje ztráty:</h3>';
                            }
                        }
                        if ($this->zjistiPocetMrtvych($obranaZtraty) > 0):
                            ?>
                            <table border="1" style="width: 616px;">
                                <thead>
                                <th>Název</th>
                                <th>Útok</th>
                                <th>Obrana</th>
                                <th>Počet</th>
                                </thead>
                                <?php
                                foreach ($obranaZtraty as $id => $pocet):
                                    if (!empty($pocet)):
                                        ?>
                                        <tr>
                                            <td><?php echo $jedTyp[$id]['Nazev']; ?></td>
                                            <td><?php echo $jedTyp[$id]['Sila']; ?></td>
                                            <td><?php echo $jedTyp[$id]['Obrana']; ?></td>
                                            <td><?php echo $pocet ?></td>
                                        </tr>

                                        <?php
                                    endif;
                                endforeach;
                                ?>
                            </table>
                            <?php
                        else:
                            if ($model['Typ_utoku'] == 1) {
                                echo 'Špion byl odhalen, nebyly zjištěny žádné jednotky.';
                            } else {
                                echo 'Nebyly zaznamenány žádné ztráty.';
                            }
                        endif;
                    endif;
                    ?>
                    <?php
                    if ($model['Typ_utoku'] == 2) {
                        if ($model['Vyhra'] == 1) {
                            echo '<h3>Odměna za splnění úkolu:</h3>';
                            $odmena = unserialize($model['U_Zisk_sur']);
                            if (is_array($odmena)) {
                                foreach ($odmena as $sur => $pocet) {
                                    echo '<div class="s-'.$sur.'" style="float:left; padding-left: 30px;">'.$pocet.'</div>';
                                    //echo " <img width='20' height='30' src='" . Yii::app()->request->baseUrl . "/css/images/" . $sur . ".png' />: " . $pocet . " ";
                                }
                            }  else {
                                echo 'Nebyla získána žádná odměna.';
                            }
                        }
                        echo '<br/>';
                    }
                    ?>
                    </div>
                    </article>