<?php
/* @var $this VerzeController */
/* @var $model Verze */
/* @var $form CActiveForm */
?>
<script src="//tinymce.cachefly.net/4.1/tinymce.min.js"></script>
<script type="text/javascript">
    tinymce.init({
        selector: "textarea",
        plugins: [
            "advlist autolink lists charmap preview anchor",
            " visualblocks code fullscreen",
            "insertdatetime table contextmenu paste"
        ],
        toolbar: "insertfile undo redo | styleselect | bold italic | alignleft aligncenter alignright alignjustify | bullist numlist outdent indent"
    });
</script>
<div class="form">

<?php $form=$this->beginWidget('CActiveForm', array(
	'id'=>'verze-form',
	'enableAjaxValidation'=>false,
)); ?>

	<p class="note">Položky označené <span class="required">*</span> jsou povinné.</p>

	<?php echo $form->errorSummary($model); ?>

	<div class="row">
		<?php echo $form->labelEx($model,'Nazev'); ?>
		<?php echo $form->textField($model,'Nazev',array('size'=>11,'maxlength'=>11)); ?>
		<?php echo $form->error($model,'Nazev'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'Text'); ?>
		<?php echo $form->textArea($model,'Text',array('rows'=>6, 'cols'=>50)); ?>
		<?php echo $form->error($model,'Text'); ?>
	</div>

	<div class="row buttons">
		<?php echo CHtml::submitButton($model->isNewRecord ? 'Vytvořit' : 'Uložit'); ?>
	</div>

<?php $this->endWidget(); ?>

</div><!-- form -->